## GDataTasksQuery

GDataTasksQuery — GData Tasks query object

## Stability Level

Unstable, unless otherwise indicated

## Functions

GDataTasksQuery * | gdata_tasks_query_new ()
gint64 | gdata_tasks_query_get_completed_max ()
void | gdata_tasks_query_set_completed_max ()
gint64 | gdata_tasks_query_get_completed_min ()
void | gdata_tasks_query_set_completed_min ()
gint64 | gdata_tasks_query_get_due_max ()
void | gdata_tasks_query_set_due_max ()
gint64 | gdata_tasks_query_get_due_min ()
void | gdata_tasks_query_set_due_min ()
gboolean | gdata_tasks_query_get_show_completed ()
void | gdata_tasks_query_set_show_completed ()
gboolean | gdata_tasks_query_get_show_deleted ()
void | gdata_tasks_query_set_show_deleted ()
gboolean | gdata_tasks_query_get_show_hidden ()
void | gdata_tasks_query_set_show_hidden ()

## Properties

gint64 | completed-max | Read / Write
gint64 | completed-min | Read / Write
gint64 | due-max | Read / Write
gint64 | due-min | Read / Write
gboolean | show-completed | Read / Write
gboolean | show-deleted | Read / Write
gboolean | show-hidden | Read / Write

## Types and Values

| GDataTasksQuery
| GDataTasksQueryClass

## Object Hierarchy

        GObject
        ╰── GDataQuery
            ╰── GDataTasksQuery

## Includes

    #include <gdata/services/tasks/gdata-tasks-query.h>

## Description

GDataTasksQuery represents a collection of query parameters specific to the Google Tasks service, which go above and beyond those catered for by GDataQuery.

For more details of Google Tasks API, see the online documentation.

## Functions

### gdata_tasks_query_new ()

    GDataTasksQuery *
    gdata_tasks_query_new (const gchar *q);

Creates a new GDataTasksQuery. `q` is unused and must be set to `NULL`.

#### Parameters

q | a query string, or `NULL`. | [allow-none]

#### Returns

a new GDataTasksQuery

Since 0.15.0

### gdata_tasks_query_get_completed_max ()

    gint64
    gdata_tasks_query_get_completed_max (GDataTasksQuery *self);

Gets the “completed-max” property. If the property is unset, `-1` will be returned.

#### Parameters

self | a GDataTasksQuery |

#### Returns

the UNIX timestamp for the completed-max property, or `-1`

Since 0.15.0

### gdata_tasks_query_set_completed_max ()

    void
    gdata_tasks_query_set_completed_max (GDataTasksQuery *self,
                                         gint64 completed_max);

Sets the “completed-max” property of the GDataTasksQuery to the new time/date, `completed_max` .

Set `completed_max` to `-1` to unset the property in the query URI.

#### Parameters

self | a GDataTasksQuery |
completed_max | upper bound for a task's completion date by UNIX timestamp, or `-1` |

Since 0.15.0

### gdata_tasks_query_get_completed_min ()

    gint64
    gdata_tasks_query_get_completed_min (GDataTasksQuery *self);

Gets the “completed-min” property. If the property is unset, `-1` will be returned.

#### Parameters

self | a GDataTasksQuery |

#### Returns

the UNIX timestamp for the completed-min property, or `-1`

Since 0.15.0

### gdata_tasks_query_set_completed_min ()

    void
    gdata_tasks_query_set_completed_min (GDataTasksQuery *self,
                                         gint64 completed_min);

Sets the “completed-min” property of the GDataTasksQuery to the new time/date, `completed_min` .

Set `completed_min` to `-1` to unset the property in the query URI.

#### Parameters

self | a GDataTasksQuery |
completed_min | lower bound for a task's completion date by UNIX timestamp, or `-1` |

Since 0.15.0

### gdata_tasks_query_get_due_max ()

    gint64
    gdata_tasks_query_get_due_max (GDataTasksQuery *self);

Gets the “due-max” property. If the property is unset, `-1` will be returned.

#### Parameters

self | a GDataTasksQuery |

#### Returns

the UNIX timestamp for the due-max property, or `-1`

Since 0.15.0

### gdata_tasks_query_set_due_max ()

    void
    gdata_tasks_query_set_due_max (GDataTasksQuery *self,
                                   gint64 due_max);

Sets the “due-max” property of the GDataTasksQuery to the new time/date, `due_max` .

Set `due_max` to `-1` to unset the property in the query URI.

#### Parameters

self | a GDataTasksQuery |
due_max | upper bound for a task's due date by UNIX timestamp, or `-1` |

Since 0.15.0

### gdata_tasks_query_get_due_min ()

    gint64
    gdata_tasks_query_get_due_min (GDataTasksQuery *self);

Gets the “due-min” property. If the property is unset, `-1` will be returned.

#### Parameters

self | a GDataTasksQuery |

#### Returns

the UNIX timestamp for the due-min property, or `-1`

Since 0.15.0

### gdata_tasks_query_set_due_min ()

    void
    gdata_tasks_query_set_due_min (GDataTasksQuery *self,
                                   gint64 due_min);

Sets the “due-min” property of the GDataTasksQuery to the new time/date, `due_min` .

Set `due_min` to `-1` to unset the property in the query URI.

#### Parameters

self | a GDataTasksQuery |
due_min | lower bound for a task's due date by UNIX timestamp, or `-1` |

Since 0.15.0

### gdata_tasks_query_get_show_completed ()

    gboolean
    gdata_tasks_query_get_show_completed (GDataTasksQuery *self);

Gets the “show-completed” property.

#### Parameters

self | a GDataTasksQuery |

#### Returns

the show-completed property

Since 0.15.0

### gdata_tasks_query_set_show_completed ()

    void
    gdata_tasks_query_set_show_completed (GDataTasksQuery *self,
                                          gboolean show_completed);

Sets the “show-completed” property of the GDataTasksQuery.

#### Parameters

self | a GDataTasksQuery |
show_completed | `TRUE` to show completed tasks, `FALSE` otherwise |

Since 0.15.0

### gdata_tasks_query_get_show_deleted ()

    gboolean
    gdata_tasks_query_get_show_deleted (GDataTasksQuery *self);

Gets the “show-deleted” property.

#### Parameters

self | a GDataTasksQuery |

#### Returns

the show-deleted property

Since 0.15.0

### gdata_tasks_query_set_show_deleted ()

    void
    gdata_tasks_query_set_show_deleted (GDataTasksQuery *self,
                                        gboolean show_deleted);

Sets the “show-deleted” property of the GDataTasksQuery.

#### Parameters

self | a GDataTasksQuery |
show_deleted | `TRUE` to show deleted tasks, `FALSE` otherwise |

Since 0.15.0

### gdata_tasks_query_get_show_hidden ()

    gboolean
    gdata_tasks_query_get_show_hidden (GDataTasksQuery *self);

Gets the “show-hidden” property.

#### Parameters

self | a GDataTasksQuery |

#### Returns

the show-hidden property

Since 0.15.0

### gdata_tasks_query_set_show_hidden ()

    void
    gdata_tasks_query_set_show_hidden (GDataTasksQuery *self,
                                       gboolean show_hidden);

Sets the “show-hidden” property of the GDataTasksQuery.

#### Parameters

self | a GDataTasksQuery |
show_hidden | `TRUE` to show hidden tasks, `FALSE` otherwise |

Since 0.15.0

## Types and Values

### GDataTasksQuery

    typedef struct _GDataTasksQuery GDataTasksQuery;

All the fields in the GDataTasksQuery structure are private and should never be accessed directly.

Since 0.15.0

### GDataTasksQueryClass

    typedef struct {
    } GDataTasksQueryClass;

All the fields in the GDataTasksQueryClass structure are private and should never be accessed directly.

Since 0.15.0

## Property Details

### The `“completed-max”` property

      “completed-max”            gint64

Upper bound for a task's completion date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by completion date.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since 0.15.0

### The `“completed-min”` property

      “completed-min”            gint64

Lower bound for a task's completion date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by completion date.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since 0.15.0

### The `“due-max”` property

      “due-max”                  gint64

Upper bound for a task's due date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by completion date.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since 0.15.0

### The `“due-min”` property

      “due-min”                  gint64

Lower bound for a task's due date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by completion date.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since 0.15.0

### The `“show-completed”` property

      “show-completed”           gboolean

Flag indicating whether completed tasks are returned in the result. Optional. The default is `FALSE`.

Flags: Read / Write

Default value: FALSE

Since 0.15.0

### The `“show-deleted”` property

      “show-deleted”             gboolean

Flag indicating whether deleted tasks are returned in the result. Optional. The default is `FALSE`.

Flags: Read / Write

Default value: FALSE

Since 0.15.0

### The `“show-hidden”` property

      “show-hidden”              gboolean

Flag indicating whether hidden tasks are returned in the result. Optional. The default is `FALSE`.

Flags: Read / Write

Default value: FALSE

Since 0.15.0